API Reference
Get transaction history
Get history of transactions for the site. Requires an organisational bearer token.
GET
/
rewards
/
{site_id}
/
transactions
Get Transaction History
curl --request GET \
--url https://api-sandbox.axle.energy/rewards/{site_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.axle.energy/rewards/{site_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.axle.energy/rewards/{site_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.axle.energy/rewards/{site_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.axle.energy/rewards/{site_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.axle.energy/rewards/{site_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.axle.energy/rewards/{site_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactions": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_pence": 123,
"amount_minor_units": 123,
"currency": "GBP",
"transaction_type": "charge credit",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"settlement_date": "2023-12-25",
"flex_kwh": 123,
"payment_status": "pending_approval",
"creditable_kwh": 123,
"credit_rate_pence_per_kwh": 123,
"plug_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vehicle": {
"model_name": "<string>"
}
}
],
"total_count": 123,
"is_below_withdrawal_minimum": false,
"days_until_minimum_wait_time_met": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response
Response model for transaction history.
Was this page helpful?
⌘I
Get Transaction History
curl --request GET \
--url https://api-sandbox.axle.energy/rewards/{site_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.axle.energy/rewards/{site_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.axle.energy/rewards/{site_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.axle.energy/rewards/{site_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.axle.energy/rewards/{site_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.axle.energy/rewards/{site_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.axle.energy/rewards/{site_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactions": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_pence": 123,
"amount_minor_units": 123,
"currency": "GBP",
"transaction_type": "charge credit",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"settlement_date": "2023-12-25",
"flex_kwh": 123,
"payment_status": "pending_approval",
"creditable_kwh": 123,
"credit_rate_pence_per_kwh": 123,
"plug_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vehicle": {
"model_name": "<string>"
}
}
],
"total_count": 123,
"is_below_withdrawal_minimum": false,
"days_until_minimum_wait_time_met": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
